Subject: Re: Should PERLIO=no_crlf be the default on Cygwin?
From: "Max Bowsher" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 31 May 2003 14:04:48 +0100

Gerrit P. Haase wrote:
> I would prefer to have it like it is on Unix, read and write back what
> you get, never do any conversion, why should I do a LF -> CRLF
> conversion for someone who lives on a text mount?
> Why should I do the conversion backwards?

*You* shouldn't. But you should allow Cygwin to do so. That is, after all,
what text mounts are for.

> If someone on a binmode mount want to have his
> CRLF's, why should a tool change this (besides the d2u or u2d tools)
> if not explicitly forced to do so (export PERLIO=crlf).

I agree, on a binmode mount, behaviour should be totally unix-like.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/